- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/create#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/create#try-it)

Creates a source.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.sources.update`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`POST https://securitycenter.googleapis.com/v1p1beta1/{parent=organizations/*}/sources`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the new source's parent. Its format should be "organizations/\[organizationId\]". |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources#Source`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources#Source`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).